import { defineNuxtModule, createResolver, addComponentsDir } from '@nuxt/kit';

const module = defineNuxtModule({
  meta: {
    name: "@7span/nuxt-editorjs-renderer",
    configKey: "editorjsRenderer"
  },
  // Default configuration options of the Nuxt module
  defaults: {},
  async setup(options, nuxt) {
    const { resolve } = createResolver(import.meta.url);
    addComponentsDir({
      path: resolve("runtime/components"),
      prefix: "ej",
      global: true
    });
  }
});

export { module as default };
